<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: WeaponEventBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/db7/class_weapon_event_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">WeaponEventBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>signalize mechanism manipulation  
 <a href="../../d7/db7/class_weapon_event_base.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7acd8999bed8df18010e8e4618d40249"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a7acd8999bed8df18010e8e4618d40249">WeaponEventBase</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a7acd8999bed8df18010e8e4618d40249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98a0245eaf9d3c9a73bdc6c580809bf7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/dea/_events_8c.html#ad53b1021648ef8a1d90381386dbb58e4">WeaponEventID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a98a0245eaf9d3c9a73bdc6c580809bf7">GetEventID</a> ()</td></tr>
<tr class="memdesc:a98a0245eaf9d3c9a73bdc6c580809bf7"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns id from enum WeaponEventID  <a href="../../d7/db7/class_weapon_event_base.html#a98a0245eaf9d3c9a73bdc6c580809bf7">More...</a><br /></td></tr>
<tr class="separator:a98a0245eaf9d3c9a73bdc6c580809bf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1bd91d7f43609d6b849947c85da6fdd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d9e/human_8c.html#a763b090f1db0bdd5a3effbd989728d13">WeaponEvents</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ae1bd91d7f43609d6b849947c85da6fdd">GetAnimEvent</a> ()</td></tr>
<tr class="memdesc:ae1bd91d7f43609d6b849947c85da6fdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns animation event from anim engine,  <a href="../../d7/db7/class_weapon_event_base.html#ae1bd91d7f43609d6b849947c85da6fdd">More...</a><br /></td></tr>
<tr class="separator:ae1bd91d7f43609d6b849947c85da6fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c92074d2c5cabbeef9af4f252b86f76"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a3c92074d2c5cabbeef9af4f252b86f76">GetPackedType</a> ()</td></tr>
<tr class="memdesc:a3c92074d2c5cabbeef9af4f252b86f76"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns eventID in upper 16 bits and <a class="el" href="../../d8/d22/class_anim_event.html">AnimEvent</a> in lower 16 bits  <a href="../../d7/db7/class_weapon_event_base.html#a3c92074d2c5cabbeef9af4f252b86f76">More...</a><br /></td></tr>
<tr class="separator:a3c92074d2c5cabbeef9af4f252b86f76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35025de1ff8442c8e9a5fb579cee662d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a35025de1ff8442c8e9a5fb579cee662d">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:a35025de1ff8442c8e9a5fb579cee662d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f504868a15c4f15c21200ff1df85acf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a7f504868a15c4f15c21200ff1df85acf">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:a7f504868a15c4f15c21200ff1df85acf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a066ffa3e2bb888c0191c1f6eee5d5000"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a066ffa3e2bb888c0191c1f6eee5d5000">DumpToString</a> ()</td></tr>
<tr class="separator:a066ffa3e2bb888c0191c1f6eee5d5000"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c41ea7bc01bb03f01e0aaa3ba8b2d74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a7c41ea7bc01bb03f01e0aaa3ba8b2d74">WeaponEventMechanism</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a7c41ea7bc01bb03f01e0aaa3ba8b2d74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f4bb44a6302586ebb82541787021a28"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a2f4bb44a6302586ebb82541787021a28">WeaponEventTrigger</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a2f4bb44a6302586ebb82541787021a28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a9442384fcff8b89e2255351c3c817d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a7a9442384fcff8b89e2255351c3c817d">WeaponEventTriggerToJam</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a7a9442384fcff8b89e2255351c3c817d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af38e717d3716330bfdb8ac7036833755"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#af38e717d3716330bfdb8ac7036833755">WeaponEventTriggerAutoStart</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:af38e717d3716330bfdb8ac7036833755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79ca563f723188294f88c059961b9390"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a79ca563f723188294f88c059961b9390">WeaponEventTriggerAutoEnd</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a79ca563f723188294f88c059961b9390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50377888b6f1a0fb2a8192cae07b828"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ad50377888b6f1a0fb2a8192cae07b828">WeaponEventLoad1Bullet</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:ad50377888b6f1a0fb2a8192cae07b828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc41d332263820b8fdd27a0e0e69c22d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#adc41d332263820b8fdd27a0e0e69c22d">WeaponEventContinuousLoadBulletStart</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:adc41d332263820b8fdd27a0e0e69c22d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ca66f965d5f4dc33492f10f0a37912d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a7ca66f965d5f4dc33492f10f0a37912d">WeaponEventContinuousLoadBulletEnd</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a7ca66f965d5f4dc33492f10f0a37912d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ab3ad0344b88b17159b173e1ff7cb31"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a2ab3ad0344b88b17159b173e1ff7cb31">WeaponEventUnjam</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a2ab3ad0344b88b17159b173e1ff7cb31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69bc8daff61bc8977f12ff540dd6a701"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a69bc8daff61bc8977f12ff540dd6a701">WeaponEventAttachMagazine</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a69bc8daff61bc8977f12ff540dd6a701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af352804fc2628227467ed10a79dbdee5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#af352804fc2628227467ed10a79dbdee5">WeaponEventUnjammingFailedTimeout</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:af352804fc2628227467ed10a79dbdee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa9846c814794b769b3b9ce3dbbbe1c9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#aaa9846c814794b769b3b9ce3dbbbe1c9">WeaponEventUnjammingTimeout</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:aaa9846c814794b769b3b9ce3dbbbe1c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210ce04d144a78f6cff57d3892ab194e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a210ce04d144a78f6cff57d3892ab194e">WeaponEventDetachMagazine</a> (DayZPlayer p=NULL, Magazine m=NULL, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il=NULL)</td></tr>
<tr class="separator:a210ce04d144a78f6cff57d3892ab194e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c50efc02f7f460165eb4ca8b609029"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ae8c50efc02f7f460165eb4ca8b609029">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:ae8c50efc02f7f460165eb4ca8b609029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63a5e752d3c7243830ff10e35e6c6ada"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a63a5e752d3c7243830ff10e35e6c6ada">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:a63a5e752d3c7243830ff10e35e6c6ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac40a18fe5cd4dc70bf0365a3a50b20f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ac40a18fe5cd4dc70bf0365a3a50b20f8">WeaponEventSwapMagazine</a> (DayZPlayer p=NULL, Magazine m=NULL, <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il=NULL)</td></tr>
<tr class="separator:ac40a18fe5cd4dc70bf0365a3a50b20f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c50efc02f7f460165eb4ca8b609029"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ae8c50efc02f7f460165eb4ca8b609029">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="separator:ae8c50efc02f7f460165eb4ca8b609029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63a5e752d3c7243830ff10e35e6c6ada"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a63a5e752d3c7243830ff10e35e6c6ada">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:a63a5e752d3c7243830ff10e35e6c6ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0a8f9b8c5b9bc6e549c67777079aded"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#aa0a8f9b8c5b9bc6e549c67777079aded">WeaponEventHumanCommandActionFinished</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:aa0a8f9b8c5b9bc6e549c67777079aded"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2086a966a6b10b34c23f34a35da3736"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#aa2086a966a6b10b34c23f34a35da3736">WeaponEventHumanCommandActionAborted</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:aa2086a966a6b10b34c23f34a35da3736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad033724ddae0ea0b67c74d8d2790b5f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ad033724ddae0ea0b67c74d8d2790b5f9">WeaponEventReloadTimeout</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:ad033724ddae0ea0b67c74d8d2790b5f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b794dfc18d9eec4ce2c9f059284e78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a93b794dfc18d9eec4ce2c9f059284e78">WeaponEventDryFireTimeout</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:a93b794dfc18d9eec4ce2c9f059284e78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0d17e03a1887d1c89047c2451ce4614"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ac0d17e03a1887d1c89047c2451ce4614">WeaponEventSetNextMuzzleMode</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="separator:ac0d17e03a1887d1c89047c2451ce4614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4f41481ee96359e50f17963ee060482"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#af4f41481ee96359e50f17963ee060482">WeaponEventAnimation</a> (DayZPlayer p=NULL, Magazine m=NULL)</td></tr>
<tr class="memdesc:af4f41481ee96359e50f17963ee060482"><td class="mdescLeft">&#160;</td><td class="mdescRight">animation event from Human.WeaponEvents  <a href="../../d7/db7/class_weapon_event_base.html#af4f41481ee96359e50f17963ee060482">More...</a><br /></td></tr>
<tr class="separator:af4f41481ee96359e50f17963ee060482"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8a373fc000c50dca3181e917d2834d3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ac8a373fc000c50dca3181e917d2834d3">GetAnimEvent</a> ()</td></tr>
<tr class="separator:ac8a373fc000c50dca3181e917d2834d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a3a19221c35e1179ee7b27a822107a97b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a3a19221c35e1179ee7b27a822107a97b">m_eventID</a></td></tr>
<tr class="separator:a3a19221c35e1179ee7b27a822107a97b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a868027afbe9bef356dba74ae1b184bb2"><td class="memItemLeft" align="right" valign="top">DayZPlayer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a868027afbe9bef356dba74ae1b184bb2">m_player</a></td></tr>
<tr class="separator:a868027afbe9bef356dba74ae1b184bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0057a81c0aff8173df158a3a27dfbc9d"><td class="memItemLeft" align="right" valign="top">Magazine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a0057a81c0aff8173df158a3a27dfbc9d">m_magazine</a></td></tr>
<tr class="separator:a0057a81c0aff8173df158a3a27dfbc9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d6f0f0b4a5129561cf87a75be74eeb3"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#a6d6f0f0b4a5129561cf87a75be74eeb3">m_dst</a></td></tr>
<tr class="separator:a6d6f0f0b4a5129561cf87a75be74eeb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0f0192bc1d58e2cfde1f330cfddff71"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d9e/human_8c.html#a763b090f1db0bdd5a3effbd989728d13">WeaponEvents</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db7/class_weapon_event_base.html#ad0f0192bc1d58e2cfde1f330cfddff71">m_type</a></td></tr>
<tr class="separator:ad0f0192bc1d58e2cfde1f330cfddff71"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >signalize mechanism manipulation </p>
<p >represents event that triggers transition from state to state</p>
<p >triggered when dry fire timer expires</p>
<p >triggered when reload timer expires</p>
<p >triggered when animation action aborts</p>
<p >triggered when animation action finishes</p>
<p >event when user wants to swap magazine</p>
<p >event when user wants to detach magazine</p>
<p >triggered when unjamming failed timer expires</p>
<p >triggered when unjamming timer expires</p>
<p >event when user wants to attach magazine</p>
<p >event when user wants to unjam weapon</p>
<p >event when user wants to end loading of bullets</p>
<p >event when user wants to load N bullets</p>
<p >event when user wants to load 1 bullet</p>
<p >event when trigger pressed</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dst</td><td><code>inventory</code> location where the magazine will be stored </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00034">34</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7acd8999bed8df18010e8e4618d40249" name="a7acd8999bed8df18010e8e4618d40249"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7acd8999bed8df18010e8e4618d40249">&#9670;&#160;</a></span>WeaponEventBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventBase </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00040">40</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a066ffa3e2bb888c0191c1f6eee5d5000" name="a066ffa3e2bb888c0191c1f6eee5d5000"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a066ffa3e2bb888c0191c1f6eee5d5000">&#9670;&#160;</a></span>DumpToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> WeaponEventBase::DumpToString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00062">62</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ae1bd91d7f43609d6b849947c85da6fdd" name="ae1bd91d7f43609d6b849947c85da6fdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1bd91d7f43609d6b849947c85da6fdd">&#9670;&#160;</a></span>GetAnimEvent() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d9e/human_8c.html#a763b090f1db0bdd5a3effbd989728d13">WeaponEvents</a> WeaponEventBase::GetAnimEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns animation event from anim engine, </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d4/d9e/human_8c.html#a763b090f1db0bdd5a3effbd989728d13" title="events">WeaponEvents</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00044">44</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ac8a373fc000c50dca3181e917d2834d3" name="ac8a373fc000c50dca3181e917d2834d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8a373fc000c50dca3181e917d2834d3">&#9670;&#160;</a></span>GetAnimEvent() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> WeaponEventBase::GetAnimEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00219">219</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a98a0245eaf9d3c9a73bdc6c580809bf7" name="a98a0245eaf9d3c9a73bdc6c580809bf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98a0245eaf9d3c9a73bdc6c580809bf7">&#9670;&#160;</a></span>GetEventID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/dea/_events_8c.html#ad53b1021648ef8a1d90381386dbb58e4">WeaponEventID</a> WeaponEventBase::GetEventID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns id from enum WeaponEventID </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00042">42</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a3c92074d2c5cabbeef9af4f252b86f76" name="a3c92074d2c5cabbeef9af4f252b86f76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c92074d2c5cabbeef9af4f252b86f76">&#9670;&#160;</a></span>GetPackedType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> WeaponEventBase::GetPackedType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns eventID in upper 16 bits and <a class="el" href="../../d8/d22/class_anim_event.html">AnimEvent</a> in lower 16 bits </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00046">46</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a35025de1ff8442c8e9a5fb579cee662d" name="a35025de1ff8442c8e9a5fb579cee662d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35025de1ff8442c8e9a5fb579cee662d">&#9670;&#160;</a></span>ReadFromContext() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00053">53</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ae8c50efc02f7f460165eb4ca8b609029" name="ae8c50efc02f7f460165eb4ca8b609029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8c50efc02f7f460165eb4ca8b609029">&#9670;&#160;</a></span>ReadFromContext() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponEventBase::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00152">152</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ae8c50efc02f7f460165eb4ca8b609029" name="ae8c50efc02f7f460165eb4ca8b609029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8c50efc02f7f460165eb4ca8b609029">&#9670;&#160;</a></span>ReadFromContext() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponEventBase::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00171">171</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="af4f41481ee96359e50f17963ee060482" name="af4f41481ee96359e50f17963ee060482"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4f41481ee96359e50f17963ee060482">&#9670;&#160;</a></span>WeaponEventAnimation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventAnimation </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>animation event from Human.WeaponEvents </p>

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00218">218</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a69bc8daff61bc8977f12ff540dd6a701" name="a69bc8daff61bc8977f12ff540dd6a701"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69bc8daff61bc8977f12ff540dd6a701">&#9670;&#160;</a></span>WeaponEventAttachMagazine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventAttachMagazine </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00130">130</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a7ca66f965d5f4dc33492f10f0a37912d" name="a7ca66f965d5f4dc33492f10f0a37912d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ca66f965d5f4dc33492f10f0a37912d">&#9670;&#160;</a></span>WeaponEventContinuousLoadBulletEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventContinuousLoadBulletEnd </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00118">118</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="adc41d332263820b8fdd27a0e0e69c22d" name="adc41d332263820b8fdd27a0e0e69c22d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc41d332263820b8fdd27a0e0e69c22d">&#9670;&#160;</a></span>WeaponEventContinuousLoadBulletStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventContinuousLoadBulletStart </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00112">112</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a210ce04d144a78f6cff57d3892ab194e" name="a210ce04d144a78f6cff57d3892ab194e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a210ce04d144a78f6cff57d3892ab194e">&#9670;&#160;</a></span>WeaponEventDetachMagazine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventDetachMagazine </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>il</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00150">150</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a93b794dfc18d9eec4ce2c9f059284e78" name="a93b794dfc18d9eec4ce2c9f059284e78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93b794dfc18d9eec4ce2c9f059284e78">&#9670;&#160;</a></span>WeaponEventDryFireTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventDryFireTimeout </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00205">205</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="aa2086a966a6b10b34c23f34a35da3736" name="aa2086a966a6b10b34c23f34a35da3736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2086a966a6b10b34c23f34a35da3736">&#9670;&#160;</a></span>WeaponEventHumanCommandActionAborted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventHumanCommandActionAborted </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00193">193</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="aa0a8f9b8c5b9bc6e549c67777079aded" name="aa0a8f9b8c5b9bc6e549c67777079aded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0a8f9b8c5b9bc6e549c67777079aded">&#9670;&#160;</a></span>WeaponEventHumanCommandActionFinished()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventHumanCommandActionFinished </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00187">187</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ad50377888b6f1a0fb2a8192cae07b828" name="ad50377888b6f1a0fb2a8192cae07b828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad50377888b6f1a0fb2a8192cae07b828">&#9670;&#160;</a></span>WeaponEventLoad1Bullet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventLoad1Bullet </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00106">106</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a7c41ea7bc01bb03f01e0aaa3ba8b2d74" name="a7c41ea7bc01bb03f01e0aaa3ba8b2d74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c41ea7bc01bb03f01e0aaa3ba8b2d74">&#9670;&#160;</a></span>WeaponEventMechanism()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventMechanism </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00076">76</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ad033724ddae0ea0b67c74d8d2790b5f9" name="ad033724ddae0ea0b67c74d8d2790b5f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad033724ddae0ea0b67c74d8d2790b5f9">&#9670;&#160;</a></span>WeaponEventReloadTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventReloadTimeout </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00199">199</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ac0d17e03a1887d1c89047c2451ce4614" name="ac0d17e03a1887d1c89047c2451ce4614"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0d17e03a1887d1c89047c2451ce4614">&#9670;&#160;</a></span>WeaponEventSetNextMuzzleMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventSetNextMuzzleMode </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00212">212</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ac40a18fe5cd4dc70bf0365a3a50b20f8" name="ac40a18fe5cd4dc70bf0365a3a50b20f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac40a18fe5cd4dc70bf0365a3a50b20f8">&#9670;&#160;</a></span>WeaponEventSwapMagazine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventSwapMagazine </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>&#160;</td>
          <td class="paramname"><em>il</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00169">169</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a2f4bb44a6302586ebb82541787021a28" name="a2f4bb44a6302586ebb82541787021a28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f4bb44a6302586ebb82541787021a28">&#9670;&#160;</a></span>WeaponEventTrigger()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventTrigger </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00082">82</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a79ca563f723188294f88c059961b9390" name="a79ca563f723188294f88c059961b9390"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79ca563f723188294f88c059961b9390">&#9670;&#160;</a></span>WeaponEventTriggerAutoEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventTriggerAutoEnd </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00100">100</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="af38e717d3716330bfdb8ac7036833755" name="af38e717d3716330bfdb8ac7036833755"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af38e717d3716330bfdb8ac7036833755">&#9670;&#160;</a></span>WeaponEventTriggerAutoStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventTriggerAutoStart </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00094">94</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a7a9442384fcff8b89e2255351c3c817d" name="a7a9442384fcff8b89e2255351c3c817d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a9442384fcff8b89e2255351c3c817d">&#9670;&#160;</a></span>WeaponEventTriggerToJam()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventTriggerToJam </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00088">88</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a2ab3ad0344b88b17159b173e1ff7cb31" name="a2ab3ad0344b88b17159b173e1ff7cb31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ab3ad0344b88b17159b173e1ff7cb31">&#9670;&#160;</a></span>WeaponEventUnjam()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventUnjam </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00124">124</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="af352804fc2628227467ed10a79dbdee5" name="af352804fc2628227467ed10a79dbdee5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af352804fc2628227467ed10a79dbdee5">&#9670;&#160;</a></span>WeaponEventUnjammingFailedTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventUnjammingFailedTimeout </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00136">136</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="aaa9846c814794b769b3b9ce3dbbbe1c9" name="aaa9846c814794b769b3b9ce3dbbbe1c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa9846c814794b769b3b9ce3dbbbe1c9">&#9670;&#160;</a></span>WeaponEventUnjammingTimeout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WeaponEventUnjammingTimeout </td>
          <td>(</td>
          <td class="paramtype">DayZPlayer&#160;</td>
          <td class="paramname"><em>p</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Magazine&#160;</td>
          <td class="paramname"><em>m</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00142">142</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a7f504868a15c4f15c21200ff1df85acf" name="a7f504868a15c4f15c21200ff1df85acf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f504868a15c4f15c21200ff1df85acf">&#9670;&#160;</a></span>WriteToContext() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WeaponEventBase::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00054">54</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a63a5e752d3c7243830ff10e35e6c6ada" name="a63a5e752d3c7243830ff10e35e6c6ada"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63a5e752d3c7243830ff10e35e6c6ada">&#9670;&#160;</a></span>WriteToContext() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponEventBase::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00158">158</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a63a5e752d3c7243830ff10e35e6c6ada" name="a63a5e752d3c7243830ff10e35e6c6ada"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63a5e752d3c7243830ff10e35e6c6ada">&#9670;&#160;</a></span>WriteToContext() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void WeaponEventBase::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00177">177</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a6d6f0f0b4a5129561cf87a75be74eeb3" name="a6d6f0f0b4a5129561cf87a75be74eeb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d6f0f0b4a5129561cf87a75be74eeb3">&#9670;&#160;</a></span>m_dst</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> WeaponEventBase::m_dst</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00149">149</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a3a19221c35e1179ee7b27a822107a97b" name="a3a19221c35e1179ee7b27a822107a97b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a19221c35e1179ee7b27a822107a97b">&#9670;&#160;</a></span>m_eventID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> WeaponEventBase::m_eventID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00036">36</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a0057a81c0aff8173df158a3a27dfbc9d" name="a0057a81c0aff8173df158a3a27dfbc9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0057a81c0aff8173df158a3a27dfbc9d">&#9670;&#160;</a></span>m_magazine</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Magazine WeaponEventBase::m_magazine</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00038">38</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="a868027afbe9bef356dba74ae1b184bb2" name="a868027afbe9bef356dba74ae1b184bb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a868027afbe9bef356dba74ae1b184bb2">&#9670;&#160;</a></span>m_player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">DayZPlayer WeaponEventBase::m_player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00037">37</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<a id="ad0f0192bc1d58e2cfde1f330cfddff71" name="ad0f0192bc1d58e2cfde1f330cfddff71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0f0192bc1d58e2cfde1f330cfddff71">&#9670;&#160;</a></span>m_type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d9e/human_8c.html#a763b090f1db0bdd5a3effbd989728d13">WeaponEvents</a> WeaponEventBase::m_type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dea/_events_8c_source.html#l00217">217</a> of file <a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/Firearms/FSM/<a class="el" href="../../d8/dea/_events_8c_source.html">Events.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
